# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsMercurial/HgUserConfigHostFingerprintDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_HgUserConfigHostFingerprintDialog(object):
    def setupUi(self, HgUserConfigHostFingerprintDialog):
        HgUserConfigHostFingerprintDialog.setObjectName("HgUserConfigHostFingerprintDialog")
        HgUserConfigHostFingerprintDialog.resize(600, 144)
        HgUserConfigHostFingerprintDialog.setSizeGripEnabled(True)
        self.gridLayout = QtWidgets.QGridLayout(HgUserConfigHostFingerprintDialog)
        self.gridLayout.setObjectName("gridLayout")
        self.label = QtWidgets.QLabel(parent=HgUserConfigHostFingerprintDialog)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)
        self.hostEdit = QtWidgets.QLineEdit(parent=HgUserConfigHostFingerprintDialog)
        self.hostEdit.setClearButtonEnabled(True)
        self.hostEdit.setObjectName("hostEdit")
        self.gridLayout.addWidget(self.hostEdit, 0, 1, 1, 1)
        self.hashLabel = QtWidgets.QLabel(parent=HgUserConfigHostFingerprintDialog)
        self.hashLabel.setObjectName("hashLabel")
        self.gridLayout.addWidget(self.hashLabel, 1, 0, 1, 1)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.hashComboBox = QtWidgets.QComboBox(parent=HgUserConfigHostFingerprintDialog)
        self.hashComboBox.setObjectName("hashComboBox")
        self.horizontalLayout.addWidget(self.hashComboBox)
        spacerItem = QtWidgets.QSpacerItem(178, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem)
        self.gridLayout.addLayout(self.horizontalLayout, 1, 1, 1, 1)
        self.label_2 = QtWidgets.QLabel(parent=HgUserConfigHostFingerprintDialog)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 2, 0, 1, 1)
        self.fingerprintEdit = QtWidgets.QLineEdit(parent=HgUserConfigHostFingerprintDialog)
        self.fingerprintEdit.setClearButtonEnabled(True)
        self.fingerprintEdit.setObjectName("fingerprintEdit")
        self.gridLayout.addWidget(self.fingerprintEdit, 2, 1, 1, 1)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=HgUserConfigHostFingerprintDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout.addWidget(self.buttonBox, 3, 0, 1, 2)

        self.retranslateUi(HgUserConfigHostFingerprintDialog)
        self.buttonBox.accepted.connect(HgUserConfigHostFingerprintDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(HgUserConfigHostFingerprintDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(HgUserConfigHostFingerprintDialog)
        HgUserConfigHostFingerprintDialog.setTabOrder(self.hostEdit, self.hashComboBox)
        HgUserConfigHostFingerprintDialog.setTabOrder(self.hashComboBox, self.fingerprintEdit)

    def retranslateUi(self, HgUserConfigHostFingerprintDialog):
        _translate = QtCore.QCoreApplication.translate
        HgUserConfigHostFingerprintDialog.setWindowTitle(_translate("HgUserConfigHostFingerprintDialog", "Host Fingerprint"))
        self.label.setText(_translate("HgUserConfigHostFingerprintDialog", "Host:"))
        self.hostEdit.setToolTip(_translate("HgUserConfigHostFingerprintDialog", "Enter the host name"))
        self.hostEdit.setPlaceholderText(_translate("HgUserConfigHostFingerprintDialog", "Enter Hostname"))
        self.hashLabel.setText(_translate("HgUserConfigHostFingerprintDialog", "Hash Type:"))
        self.label_2.setText(_translate("HgUserConfigHostFingerprintDialog", "Fingerprint:"))
        self.fingerprintEdit.setToolTip(_translate("HgUserConfigHostFingerprintDialog", "Enter the host fingerprint"))
        self.fingerprintEdit.setPlaceholderText(_translate("HgUserConfigHostFingerprintDialog", "Enter Fingerprint"))
